<?php

if (!defined("IN_FUSION")) { die("Access Denied"); }

function navigation($main_menu=true){
	
	add_to_head("<script type='text/javascript' src='".THEME."menu/hoverIntent.js'></script>");
	add_to_head("<script type='text/javascript' src='".THEME."menu/superfish.js'></script>");
	add_to_head("<script type='text/javascript' src='".THEME."menu/menu.js'></script>");

	if ($main_menu) {
		$result = dbquery("SELECT link_name, link_url, link_window, link_visibility FROM ".DB_SITE_LINKS." WHERE link_position='3' ORDER BY link_order");
		if (dbrows($result) > 0) {

			$link = array();
			while ($data = dbarray($result)) {
				$link[] = $data;
			}
			
			echo "\n<ul class='sf-menu'>\n";
			
			foreach($link as $data) {
				if (checkgroup($data['link_visibility'])) {
					$link_target = $data['link_window'] == "1" && $data['link_url'] != "#" ? " target='_blank'" : "";
					$li_class = preg_match("/^".preg_quote(START_PAGE, '/')."/i", $data['link_url']) ? " class='current'" : "";
					
					if (strstr($data['link_name'], "%submenu% ") && $data['link_url'] != "#") {
						echo "<li$li_class><a href='/".$data['link_url']."'$link_target><span>".parseubb(str_replace("%submenu% ", "",$data['link_name']), "b|i|u|color")."</span></a>\n";
						echo "<ul>\n";
					} else if (strstr($data['link_name'], "%submenu% ") && $data['link_url'] == "#") {
						echo "<li$li_class><a href='".$data['link_url']."'$link_target><span>".parseubb(str_replace("%submenu% ", "",$data['link_name']), "b|i|u|color")."</span></a>\n";
						echo "<ul>\n";
					} elseif (strstr($data['link_name'], "%endmenu% ")) {
						echo "<li$li_class><a href='/".$data['link_url']."'$link_target><span>".parseubb(str_replace("%endmenu% ", "",$data['link_name']), "b|i|u|color")."</span></a></li>\n";
						echo "</ul>\n";
						echo "</li>\n";
					} elseif (strstr($data['link_url'], "http://") || strstr($data['link_url'], "https://")) {
						echo "<li$li_class><a href='".$data['link_url']."'$link_target><span>".parseubb($data['link_name'], "b|i|u|color")."</span></a></li>\n";
					} else {
						echo "<li$li_class><a href='/".$data['link_url']."'$link_target><span>".parseubb($data['link_name'], "b|i|u|color")."</span></a></li>\n";
					}
				}
			}
			echo "</ul>\n";
		}
	} else {
		$list_open = false;
		$result = dbquery("SELECT link_name, link_url, link_window, link_visibility FROM ".DB_SITE_LINKS." WHERE link_position='1' ORDER BY link_order");
		if (dbrows($result) > 0) {
			
			$link = array();
			while ($data = dbarray($result)) {
				$link[] = $data;
			}
			echo "<table cellspacing='10' cellpadding='0'>\n";
			echo "	<tr>\n";
			foreach($link as $data) {
				if (checkgroup($data['link_visibility'])) {
					if ($data['link_name'] != "---" && $data['link_url'] == "---") {
						if ($list_open) {
							echo "		</td>\n";
							$list_open = false;
						}
						echo "		<td valign='top'>\n";
						echo "			<h3>".parseubb($data['link_name'], "b|i|u|color")."</h3>\n";
					} elseif ($data['link_name'] == "---" && $data['link_url'] == "---") {
						echo "			<hr />\n";
					} else {
						if (!$list_open) {
							$list_open = true;
						}
						$link_target = ($data['link_window'] == "1" ? " target='_blank'" : "");
						if (strstr($data['link_url'], "http://") || strstr($data['link_url'], "https://")) {
							echo "			<a href='".$data['link_url']."'".$link_target."><span>".parseubb($data['link_name'], "b|i|u|color")."</span></a><br />\n";
						} else {
							echo "			<a href='/".$data['link_url']."'".$link_target."><span>".parseubb($data['link_name'], "b|i|u|color")."</span></a><br />\n";
						}
					}
				}
			}
			if ($list_open) {
				echo "		</td>\n";
				echo "	</tr>\n";
				echo "</table>\n";
			}
		}
	}
}
?>